//
//  MBFrontFileMonitor.h
//  MBMenuExtra
//
//  Created by Work on 6/9/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString * const NGAActiveFileChangedNotification;
extern NSString * const NGAWindowTitleChangedNotification;

#define NGAActiveFileMonitorOldKey NSKeyValueChangeOldKey
#define NGAActiveFileMonitorNewKey NSKeyValueChangeNewKey

@class NGARemoteAccessibleObject;

@interface NGAActiveFileMonitor : NSObject {
@private
    NSSet * _ignoredProcessBundleIDs;
    BOOL    _isMonitoring;
    NGARemoteAccessibleObject * _monitoredApplicationElement;
    NSString * _mainWindowTitle;
}

+(NGAActiveFileMonitor*)sharedMonitor;

@property (nonatomic, readwrite, copy) NSSet * ignoredProcessBundleIDs;
@property (nonatomic, readonly, assign) BOOL   isMonitoring;

@property (nonatomic, readonly, retain) NGARemoteAccessibleObject * monitoredApplicationElement;
@property (nonatomic, readonly, retain) NSRunningApplication * monitoredApplication;
@property (nonatomic, readonly, copy) NSString * mainWindowDocumentPath;
@property (nonatomic, readonly, copy) NSString * mainWindowTitle;

-(void)startMonitoring;
-(void)stopMonitoring;

@end
