//
//  P4MenuStatusViewController.h
//  P4Menu
//
//  Created by Michael Bishop on 7/1/11.
//  Copyright 2011 Numerical Garden LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class P4MenuShadedView, P4MenuLocalFile, P4MenuController, P4LocalFileManager;

@interface P4MenuStatusViewController : NSViewController {
    IBOutlet P4MenuShadedView *shadedView;
    IBOutlet NSTextField *statusTextField;

    IBOutlet NSView *fileNotFoundStatusView;
    IBOutlet NSView *fileNotTrackedStatusView;

    IBOutlet NSView *fileStatusContainerView;
    IBOutlet NSTextField *fileStatusStatusText;
    
    IBOutlet NSView *passwordErrorStatusSubview;
    IBOutlet NSView *fileStatusSubview;
    IBOutlet NSView *errorDescriptionStatusSubview;

    IBOutlet NSTextField *fileNotFoundLabel;
@private
    NSView * _statusSubview;
    IBOutlet NSScrollView *fileDescriptionScrollView;
    IBOutlet NSTextView *fileDescriptionTextView;
    P4MenuController * _menuController;
}

@property(nonatomic,readwrite,assign) P4MenuController * menuController;
@property(nonatomic,readwrite,retain) NSView * statusSubview;
@property (assign) IBOutlet NSTextView *fileDescriptionTextView;

@end
